<?php 

	$mobile_repair_custom_style = '';

	// Logo Size
	$mobile_repair_logo_top_padding = get_theme_mod('mobile_repair_logo_top_padding');
	$mobile_repair_logo_bottom_padding = get_theme_mod('mobile_repair_logo_bottom_padding');
	$mobile_repair_logo_left_padding = get_theme_mod('mobile_repair_logo_left_padding');
	$mobile_repair_logo_right_padding = get_theme_mod('mobile_repair_logo_right_padding');

	if( $mobile_repair_logo_top_padding != '' || $mobile_repair_logo_bottom_padding != '' || $mobile_repair_logo_left_padding != '' || $mobile_repair_logo_right_padding != ''){
		$mobile_repair_custom_style .=' .logo {';
			$mobile_repair_custom_style .=' padding-top: '.esc_attr($mobile_repair_logo_top_padding).'px !important;
			padding-bottom: '.esc_attr($mobile_repair_logo_bottom_padding).'px !important;
			padding-left: '.esc_attr($mobile_repair_logo_left_padding).'px !important;
			padding-right: '.esc_attr($mobile_repair_logo_right_padding).'px !important;';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_logo_size = get_theme_mod('mobile_repair_logo_size');
	if( $mobile_repair_logo_size != '' ) {
		if($mobile_repair_logo_size >= 0 && $mobile_repair_logo_size <= 100) {
			$calculated_width = $mobile_repair_logo_size * 3.5;
			$mobile_repair_custom_style .= ' .custom-logo-link img {';
			$mobile_repair_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$mobile_repair_custom_style .= ' }';
		}
	}

	// Service Section padding
	$mobile_repair_chooseus_section_padding = get_theme_mod('mobile_repair_chooseus_section_padding');

	if( $mobile_repair_chooseus_section_padding != ''){
		$mobile_repair_custom_style .=' #services-section {';
			$mobile_repair_custom_style .=' padding-top: '.esc_attr($mobile_repair_chooseus_section_padding).'px !important;
			padding-bottom: '.esc_attr($mobile_repair_chooseus_section_padding).'px !important;';
		$mobile_repair_custom_style .=' }';
	}

	// Site Title Font Size
	$mobile_repair_site_title_font_size = get_theme_mod('mobile_repair_site_title_font_size');
	if( $mobile_repair_site_title_font_size != ''){
		$mobile_repair_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$mobile_repair_custom_style .=' font-size: '.esc_attr($mobile_repair_site_title_font_size).'px;';
		$mobile_repair_custom_style .=' }';
	}

	// Site Tagline Font Size
	$mobile_repair_site_tagline_font_size = get_theme_mod('mobile_repair_site_tagline_font_size');
	if( $mobile_repair_site_tagline_font_size != ''){
		$mobile_repair_custom_style .=' .logo p.site-description {';
			$mobile_repair_custom_style .=' font-size: '.esc_attr($mobile_repair_site_tagline_font_size).'px;';
		$mobile_repair_custom_style .=' }';
	}

	//layout width
	$mobile_repair_boxfull_width = get_theme_mod('mobile_repair_boxfull_width');
	if ($mobile_repair_boxfull_width !== '') {
		switch ($mobile_repair_boxfull_width) {
			case 'container':
				$mobile_repair_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$mobile_repair_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
				 }';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$mobile_repair_dropdown_anim = get_theme_mod('mobile_repair_dropdown_anim');

	if ( $mobile_repair_dropdown_anim != '') {
		$mobile_repair_custom_style .=' .nav-menu ul ul {';
			$mobile_repair_custom_style .=' animation:'.esc_attr($mobile_repair_dropdown_anim).' 1s ease;';
		$mobile_repair_custom_style .=' }';
	}

	// Copyright padding
	$mobile_repair_copyright_padding = get_theme_mod('mobile_repair_copyright_padding');

	if( $mobile_repair_copyright_padding != ''){
		$mobile_repair_custom_style .=' .site-info {';
			$mobile_repair_custom_style .=' padding-top: '.esc_attr($mobile_repair_copyright_padding).'px; padding-bottom: '.esc_attr($mobile_repair_copyright_padding).'px;';
		$mobile_repair_custom_style .=' }';
	}

	// Header Image
	$header_image_url = mobile_repair_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$mobile_repair_custom_style .=' #inner-pages-header {';
			$mobile_repair_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$mobile_repair_custom_style .=' }';
	} else {
		$mobile_repair_custom_style .=' #inner-pages-header {';
			$mobile_repair_custom_style .=' background: linear-gradient(0deg,#eceffc,#fff 80%) no-repeat; ';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slider_hide_show = get_theme_mod('mobile_repair_slider_hide_show',false);
	if( $mobile_repair_slider_hide_show == true){
		$mobile_repair_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$mobile_repair_custom_style .=' display:none;';
		$mobile_repair_custom_style .=' }';
	}

	//header color
	$mobile_repair_phone_color = get_theme_mod('mobile_repair_phone_color');
	if( $mobile_repair_phone_color != ''){
		$mobile_repair_custom_style .=' .bottom-header .call p.callno {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_phone_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_menu_color = get_theme_mod('mobile_repair_menu_color');
	if( $mobile_repair_menu_color != ''){
		$mobile_repair_custom_style .=' .nav-menu ul li a {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_menu_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_submenu_color = get_theme_mod('mobile_repair_submenu_color');
	if( $mobile_repair_submenu_color != ''){
		$mobile_repair_custom_style .=' .nav-menu ul ul a {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_submenu_color).';';
		$mobile_repair_custom_style .=' }';
	}

	// Slider
	$mobile_repair_slider_font_size = get_theme_mod('mobile_repair_slider_font_size');
	if( $mobile_repair_slider_font_size != ''){
		$mobile_repair_custom_style .=' #slider h2 {';
			$mobile_repair_custom_style .=' font-size: '.esc_attr($mobile_repair_slider_font_size).'px;';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slider_text_font_size = get_theme_mod('mobile_repair_slider_text_font_size');
	if( $mobile_repair_slider_text_font_size != ''){
		$mobile_repair_custom_style .=' #slider p {';
			$mobile_repair_custom_style .=' font-size: '.esc_attr($mobile_repair_slider_text_font_size).'px;';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slider_opacity = get_theme_mod('mobile_repair_slider_opacity');
	if( $mobile_repair_slider_opacity != ''){
		$mobile_repair_custom_style .=' #slider img {';
			$mobile_repair_custom_style .=' opacity: '.esc_attr($mobile_repair_slider_opacity).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slidertitle_color = get_theme_mod('mobile_repair_slidertitle_color');
	if( $mobile_repair_slidertitle_color != ''){
		$mobile_repair_custom_style .=' #slider h2 {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_slidertitle_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slidertext_color = get_theme_mod('mobile_repair_slidertext_color');
	if( $mobile_repair_slidertext_color != ''){
		$mobile_repair_custom_style .=' #slider p {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_slidertext_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_sliderbtn_color = get_theme_mod('mobile_repair_sliderbtn_color');
	$mobile_repair_sliderbtnbg_color = get_theme_mod('mobile_repair_sliderbtnbg_color');
	if( $mobile_repair_sliderbtn_color != ''){
		$mobile_repair_custom_style .=' #slider a.read-btn {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_sliderbtn_color).'; background-color: '.esc_attr($mobile_repair_sliderbtnbg_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_sliderbtnhvr_color = get_theme_mod('mobile_repair_sliderbtnhvr_color');
	$mobile_repair_sliderbtnhvrbg_color = get_theme_mod('mobile_repair_sliderbtnhvrbg_color');
	if( $mobile_repair_sliderbtnhvr_color != ''){
		$mobile_repair_custom_style .=' #slider a.read-btn:hover {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_sliderbtnhvr_color).'; background-color: '.esc_attr($mobile_repair_sliderbtnhvrbg_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slidericons_color = get_theme_mod('mobile_repair_slidericons_color');
	if( $mobile_repair_slidericons_color != ''){
		$mobile_repair_custom_style .=' #slider .carousel-control-prev-icon i, #slider .carousel-control-next-icon i {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_slidericons_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_slidericons_color = get_theme_mod('mobile_repair_slidericons_color');
	if( $mobile_repair_slidericons_color != ''){
		$mobile_repair_custom_style .=' #slider hr.slider-arrow, #slider hr.slider-arrow:after {';
			$mobile_repair_custom_style .=' border-top-color: '.esc_attr($mobile_repair_slidericons_color).'; background-color: '.esc_attr($mobile_repair_slidericons_color).';';
		$mobile_repair_custom_style .=' }';
	}

	//Chooseus color
	$mobile_repair_chooseus_img_size = get_theme_mod('mobile_repair_chooseus_img_size');
	if( $mobile_repair_chooseus_img_size != ''){
		$mobile_repair_custom_style .=' #services-section .service-box img {';
			$mobile_repair_custom_style .=' width: '.esc_attr($mobile_repair_chooseus_img_size).'px; height: '.esc_attr($mobile_repair_chooseus_img_size).'px;';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_chooseus_title_color = get_theme_mod('mobile_repair_chooseus_title_color');
	if( $mobile_repair_chooseus_title_color != ''){
		$mobile_repair_custom_style .=' #services-section h3 {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_chooseus_title_color).';';
		$mobile_repair_custom_style .=' }';
	}

	$mobile_repair_chooseus_text_color = get_theme_mod('mobile_repair_chooseus_text_color');
	if( $mobile_repair_chooseus_text_color != ''){
		$mobile_repair_custom_style .=' #services-section p {';
			$mobile_repair_custom_style .=' color: '.esc_attr($mobile_repair_chooseus_text_color).';';
		$mobile_repair_custom_style .=' }';
	}